Page MenuHomePhabricator

Disabled Phabricator accounts of former WMF staff still show their old employment position
Closed, ResolvedPublic

Description

For example, https://phabricator.wikimedia.org/p/Jsahleen/ shows "Software Engineer, Language Engineering" as the position/job title. As this account is disabled, I can conclude that this user is no longer employed by WMF. But the position text suggests that they still hold the position. This is confusing, especially if I don't notice the small "Disabled" text in the user metadata area.

May I suggest that, when disabling an ex-WMF staffer's account, Phabricator admins add the word "Former" or "Past" to the start of the job title field.

Event Timeline

TTO created this task.Oct 15 2015, 11:39 AM
TTO raised the priority of this task from to Needs Triage.
TTO updated the task description. (Show Details)
TTO added a project: Phabricator.
TTO added a subscriber: TTO.
Restricted Application added subscribers: scfc, Aklapper. · View Herald TranscriptOct 15 2015, 11:39 AM
Aklapper triaged this task as Medium priority.Oct 15 2015, 11:47 AM

In this case only, it says "Software Engineer, Language Engineering" but nothing about any WMF deployment. :)

But in general you of course have a very valid point about improving WMF's offboarding process.
T108131 comes to my mind (slightly related).

jeremyb-phone added a subscriber: jeremyb.

Adding that text sounds manual/unfun.

As long as their Phab account is linked to the "_(WMF)" wiki account, and as long as that account userpage is updated, is that enough? Chasing down free-form text fields in every tool sounds... unfun ;)

TTO added a comment.Oct 16 2015, 12:10 AM

Adding that text sounds manual/unfun.

Is it difficult to modify the job title text from the Phab administration interface? I wouldn't have thought it was.

As long as their Phab account is linked to the "_(WMF)" wiki account, and as long as that account userpage is updated, is that enough? Chasing down free-form text fields in every tool sounds... unfun ;)

In this case, the account was linked only to the LDAP (Wikitech) account, which doesn't have a userpage at all.

Adding that text sounds manual/unfun.

Is it difficult to modify the job title text from the Phab administration interface? I wouldn't have thought it was.

It is manual and time consuming, that is all.

Is it difficult to modify the job title text from the Phab administration interface?

Yes, because that Phab administrator interface does not exist.

Aklapper lowered the priority of this task from Medium to Low.Oct 16 2015, 11:08 AM

I thought that ex-employees were allowed to keep their phabricator account, in a volunteer capacity?

Was this a special exception to that or am I just mistaken about how WMF does offboarding?

Some people have split WMF and non-WMF Phabricator accounts, but I guess what happens there is obvious.

I'm aware of 2 disabled accounts of former WMF people: @damons and @Jsahleen

^ the comment above reveals a sort-of bug, why would we add subscribers for disabled accounts? I guess it doesn't matter though.

I thought that ex-employees were allowed to keep their phabricator account, in a volunteer capacity?

Was this a special exception to that or am I just mistaken about how WMF does offboarding?

I can't tell for the examples given in the thread, since it doesn't show when/who disabled a account in the manage tab history, But some of the ex-staff disables are due to a phab bug with handling email bounces (See: T123139: Disable Phab accounts with invalid e-mails that bounce).

I upstreamed this request as https://secure.phabricator.com/T12157 as we have no way to edit the user's title except for editing the database directly.

Restricted Application added a project: Upstream. · View Herald TranscriptJan 26 2017, 5:33 PM
Restricted Application added a subscriber: TerraCodes. · View Herald Transcript
Aklapper moved this task from Backlog to Reported Upstream on the Upstream board.
Aklapper closed this task as Resolved.Feb 9 2017, 6:27 PM
Aklapper claimed this task.

This got fixed with today's update.
The title is not displayed anymore + there is a red "Disabled".